# 32/64bit spec-file
#
%define name hardinfo
%define version 0.5.1
%define release %mkrel 4

Summary: A system profiler for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.berlios.de/hardinfo/%{name}-%{version}.tar.xz
License: GPLv2+
Group: System/Kernel and hardware 
URL: http://hardinfo.berlios.de
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pciutils, libsoup-devel, gtk2-devel, zlib-devel
BuildRequires: desktop-file-utils
Requires: pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform 
simple benchmarks.

Located in the menu under System -> Configuration -> Hardware


%prep
%setup -q

%build
./configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Settings" \
  --add-category="HardwareSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

# fix menu name
perl -pi -e "s|System Profiler and Benchmark|Hardware Information|" %{buildroot}%{_datadir}/applications/%name.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/hardinfo
%{_libdir}/%{name}/modules/*so
%{_datadir}/%{name}/pixmaps/*
%{_datadir}/%{name}/benchmark.conf
%{_datadir}/%{name}/benchmark.data
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jul 24 2015 bb <bb> 0.5.1-4pclos2016
- rebuild new libffi

* Wed Nov 06 2013 billybot <billybot> 0.5.1-3pclos2013
- rebuild for new pcre
- convert source to tar.xz

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.5.1-2pclos2013
- amended spec-file name
- rebuild for 64

* Mon Aug 23 2009 Texstar <texstar@gmail.com> 0.5.1-1pclos2009
- update

* Mon Mar 30 2009 don_crissti <don_crissti@gmx.com> 0.5c-1pclos2007
- Import hardinfo from mandriva

